# Site settings

## Retrieving sites

> Retrieves a list of site configurations.\
> \*\*\*\
> \
> \### Additional scopes info\
> \* The \`site.site\_manage\` scope is only required if you want to retrieve inactive sites.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"schemas":{"SiteDto":{"title":"Site","type":"object","description":"Information about the site.","required":["code","name","defaultLanguage","languages","currency","homeBase","shipToCountries","taxDeterminationBasedOn"],"properties":{"code":{"type":"string","pattern":"^[^\\s#]+$","description":"Site unique identifier."},"name":{"type":"string","description":"Site name."},"active":{"type":"boolean","description":"Flag indicating whether the site is active."},"default":{"type":"boolean","description":"Flag indicating whether the site is the  tenant default site."},"includesTax":{"type":"boolean","description":"Indicates whether prices for the site should be returned in gross (when includesTax=true) or net (when includesTax=false). "},"defaultLanguage":{"type":"string","description":"Site's default language, compliant with the ISO 639-1 standard.","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"},"languages":{"type":"array","description":"Languages supported by the site.\n\n**Note**: The languages must be compliant with the ISO 639-1 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"}},"currency":{"$ref":"#/components/schemas/CurrencyDto"},"availableCurrencies":{"type":"array","description":"List of the currencies supported by the site","items":{"$ref":"#/components/schemas/CurrencyDto"}},"homeBase":{"$ref":"#/components/schemas/HomeBaseDto"},"shipToCountries":{"type":"array","description":"Codes of countries to which the site ships products.\n\n**Note**: The country codes must be compliant with the ISO 3166-1 alpha-2 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2}"}},"shipping":{"type":"array","description":"Shipping service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"payment":{"type":"array","description":"Payment service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"tax":{"type":"array","description":"`Preview feature - the feature is not fully operated yet.` \nTax service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"assistedBuying":{"$ref":"#/components/schemas/AssistedBuying"},"metadata":{"$ref":"#/components/schemas/DefaultDtoMetadata"},"taxDeterminationBasedOn":{"$ref":"#/components/schemas/taxDeterminationBasedOn"},"mixins":{"type":"object","description":"Site additional properties.","additionalProperties":true},"cartCalculationScale":{"type":"integer","description":"Number of decimal points used in the cart calculation. Must be zero or a positive value.","default":2,"minimum":0}}},"CurrencyDto":{"type":"string","description":"Currency used by the site, compliant with the ISO 4217 standard.","minLength":3,"maxLength":3,"pattern":"^[A-Z]{3}"},"HomeBaseDto":{"title":"HomeBase","type":"object","required":["address"],"properties":{"address":{"$ref":"#/components/schemas/AddressDto"},"location":{"$ref":"#/components/schemas/LocationDto"},"timezone":{"type":"string","description":"The timezone of the site home base location. Must be a valid IANA timezone identifier.\n\nIf not specified, no timezone will be set. When specified, the value must be a valid timezone ID as defined in the IANA Time Zone Database.\n\nExamples of valid timezones:\n- Europe/Paris\n- America/New_York \n- Asia/Tokyo\n- UTC\n\nInvalid timezone values (e.g., \"Europe/Xp\") will result in a 400 Bad Request response.\n"}},"description":"Site location."},"AddressDto":{"title":"Address","type":"object","required":["country","zipCode"],"properties":{"street":{"type":"string"},"streetNumber":{"type":"string"},"streetAppendix":{"type":"string"},"extraLine1":{"type":"string"},"extraLine2":{"type":"string"},"extraLine3":{"type":"string"},"extraLine4":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"state":{"type":"string"}},"description":"Site address."},"LocationDto":{"title":"Location","type":"object","properties":{"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"}},"description":"Site geographical location."},"ServiceConfigurationDto":{"title":"Service Configuration","type":"object","properties":{"id":{"type":"string","description":"Service configuration's unique identifier."},"name":{"type":"string","description":"Service configuration's name."},"serviceType":{"type":"string"},"serviceUrl":{"type":"string"},"active":{"type":"boolean","default":true,"description":"Flag indicating whether the service is active."},"configuration":{"$ref":"#/components/schemas/ServiceSettingsDto"}}},"ServiceSettingsDto":{"title":"Service Settings","type":"object","properties":{"public":{"type":"object"},"restricted":{"type":"object"}}},"AssistedBuying":{"title":"AssistedBuying","type":"object","properties":{"storefrontUrl":{"type":"string","description":"Storefront URL, where an employee should be redirected when the assisted buying mechanism is used."}}},"DefaultDtoMetadata":{"title":"Metadata","type":"object","properties":{"mixins":{"type":"object","description":"Mixin schema URLs.","additionalProperties":true},"version":{"type":"integer"}}},"taxDeterminationBasedOn":{"type":"string","enum":["BILLING_ADDRESS","SHIPPING_ADDRESS"],"description":"Specifies whether tax calculation is based on customer billing address or shipping address. Default value is `BILLING_ADDRESS`."},"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}}},"responses":{"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"parameters":{"totalCount":{"name":"totalCount","in":"query","required":false,"schema":{"type":"boolean","default":false},"description":"If set to `true`, a total number of sites is returned in a response header."},"includeInactiveSites":{"name":"includeInactive","in":"query","required":false,"schema":{"type":"boolean","default":false},"description":"| Option  | Description |\n|---|---|\n| `true` | Retrieves both the active and inactive sites. |\n| `false` | Retrieves only the active sites. |\n"},"sort":{"name":"sort","in":"query","description":"List of properties used to sort the results, separated by colons.\n\nPossible values:\n* `{fieldName}`\n* `{fieldName}:asc`\n* `{fieldName}:desc`\n\n**Note:** If you want to sort the results by localized properties, the possible values are:\n  * `{fieldName}.{language}`\n  * `{fieldName}.{language}:asc`\n  * `{fieldName}.{language}:desc`\n\nBy default, the fields are sorted in ascending order.\n","schema":{"type":"string"}},"pageNumber":{"name":"pageNumber","in":"query","description":"Page number to be retrieved. The number of the first page is 1.\n\n**Note:** If the `pageNumber` parameter is passed, size of the pages must be specified in the `pageSize` parameter.\n","schema":{"default":1,"minimum":1,"type":"integer"}},"pageSize":{"name":"pageSize","in":"query","description":"Number of products to be retrieved per page.\n","schema":{"default":16,"minimum":1,"type":"integer"}},"q_parameter":{"name":"q","in":"query","required":false,"schema":{"type":"string"},"description":"A standard query parameter used to search for specific values."},"expand":{"name":"expand","in":"query","required":false,"schema":{"type":"string"},"description":"Used to expand the following site settings:\n* `payment`\n* `shipping`\n* `tax`\n* `mixin`\n\nEach of the settings (except `mixin`) can be set to one of the following values:\n* `all`\n* `active`\n* `none`\n\nFor retrieving `mixin`, use the following value: `*`\n"}}},"paths":{"/site/{tenant}/sites":{"get":{"summary":"Retrieving sites","tags":["Site settings"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteDto"}}}},"headers":{"X-Count":{"schema":{"type":"integer"},"description":"Total number of sites that fulfill the criteria."}}},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"}},"operationId":"GET-site-settings-list-site-configurations","description":"Retrieves a list of site configurations.\n***\n\n### Additional scopes info\n* The `site.site_manage` scope is only required if you want to retrieve inactive sites.","parameters":[{"$ref":"#/components/parameters/totalCount"},{"$ref":"#/components/parameters/includeInactiveSites"},{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/q_parameter"},{"$ref":"#/components/parameters/expand"}]}}}}
```

## Creating a site

> Creates a new site configuration.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["site.site_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"schemas":{"ResourceLocation":{"title":"ResourceLocation","type":"object","properties":{"id":{"type":"string","description":"Resource identifier."}},"description":""},"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}},"SiteDto":{"title":"Site","type":"object","description":"Information about the site.","required":["code","name","defaultLanguage","languages","currency","homeBase","shipToCountries","taxDeterminationBasedOn"],"properties":{"code":{"type":"string","pattern":"^[^\\s#]+$","description":"Site unique identifier."},"name":{"type":"string","description":"Site name."},"active":{"type":"boolean","description":"Flag indicating whether the site is active."},"default":{"type":"boolean","description":"Flag indicating whether the site is the  tenant default site."},"includesTax":{"type":"boolean","description":"Indicates whether prices for the site should be returned in gross (when includesTax=true) or net (when includesTax=false). "},"defaultLanguage":{"type":"string","description":"Site's default language, compliant with the ISO 639-1 standard.","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"},"languages":{"type":"array","description":"Languages supported by the site.\n\n**Note**: The languages must be compliant with the ISO 639-1 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"}},"currency":{"$ref":"#/components/schemas/CurrencyDto"},"availableCurrencies":{"type":"array","description":"List of the currencies supported by the site","items":{"$ref":"#/components/schemas/CurrencyDto"}},"homeBase":{"$ref":"#/components/schemas/HomeBaseDto"},"shipToCountries":{"type":"array","description":"Codes of countries to which the site ships products.\n\n**Note**: The country codes must be compliant with the ISO 3166-1 alpha-2 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2}"}},"shipping":{"type":"array","description":"Shipping service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"payment":{"type":"array","description":"Payment service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"tax":{"type":"array","description":"`Preview feature - the feature is not fully operated yet.` \nTax service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"assistedBuying":{"$ref":"#/components/schemas/AssistedBuying"},"metadata":{"$ref":"#/components/schemas/DefaultDtoMetadata"},"taxDeterminationBasedOn":{"$ref":"#/components/schemas/taxDeterminationBasedOn"},"mixins":{"type":"object","description":"Site additional properties.","additionalProperties":true},"cartCalculationScale":{"type":"integer","description":"Number of decimal points used in the cart calculation. Must be zero or a positive value.","default":2,"minimum":0}}},"CurrencyDto":{"type":"string","description":"Currency used by the site, compliant with the ISO 4217 standard.","minLength":3,"maxLength":3,"pattern":"^[A-Z]{3}"},"HomeBaseDto":{"title":"HomeBase","type":"object","required":["address"],"properties":{"address":{"$ref":"#/components/schemas/AddressDto"},"location":{"$ref":"#/components/schemas/LocationDto"},"timezone":{"type":"string","description":"The timezone of the site home base location. Must be a valid IANA timezone identifier.\n\nIf not specified, no timezone will be set. When specified, the value must be a valid timezone ID as defined in the IANA Time Zone Database.\n\nExamples of valid timezones:\n- Europe/Paris\n- America/New_York \n- Asia/Tokyo\n- UTC\n\nInvalid timezone values (e.g., \"Europe/Xp\") will result in a 400 Bad Request response.\n"}},"description":"Site location."},"AddressDto":{"title":"Address","type":"object","required":["country","zipCode"],"properties":{"street":{"type":"string"},"streetNumber":{"type":"string"},"streetAppendix":{"type":"string"},"extraLine1":{"type":"string"},"extraLine2":{"type":"string"},"extraLine3":{"type":"string"},"extraLine4":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"state":{"type":"string"}},"description":"Site address."},"LocationDto":{"title":"Location","type":"object","properties":{"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"}},"description":"Site geographical location."},"ServiceConfigurationDto":{"title":"Service Configuration","type":"object","properties":{"id":{"type":"string","description":"Service configuration's unique identifier."},"name":{"type":"string","description":"Service configuration's name."},"serviceType":{"type":"string"},"serviceUrl":{"type":"string"},"active":{"type":"boolean","default":true,"description":"Flag indicating whether the service is active."},"configuration":{"$ref":"#/components/schemas/ServiceSettingsDto"}}},"ServiceSettingsDto":{"title":"Service Settings","type":"object","properties":{"public":{"type":"object"},"restricted":{"type":"object"}}},"AssistedBuying":{"title":"AssistedBuying","type":"object","properties":{"storefrontUrl":{"type":"string","description":"Storefront URL, where an employee should be redirected when the assisted buying mechanism is used."}}},"DefaultDtoMetadata":{"title":"Metadata","type":"object","properties":{"mixins":{"type":"object","description":"Mixin schema URLs.","additionalProperties":true},"version":{"type":"integer"}}},"taxDeterminationBasedOn":{"type":"string","enum":["BILLING_ADDRESS","SHIPPING_ADDRESS"],"description":"Specifies whether tax calculation is based on customer billing address or shipping address. Default value is `BILLING_ADDRESS`."}},"responses":{"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}},"paths":{"/site/{tenant}/sites":{"post":{"summary":"Creating a site","operationId":"POST-site-settings-create-site","responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceLocation"}}}},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"}},"description":"Creates a new site configuration.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteDto"}}},"description":""},"parameters":[],"tags":["Site settings"]}}}}
```

## Retrieving a site

> Retrieves a specified site configuration.\
> &#x20; \*\*Note:\*\* The \`site.site\_manage\` scope is only required if you want to retrieve an inactive site.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"responses":{"200_get_site":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteDto"}}}},"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404_siteNotFound":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"schemas":{"SiteDto":{"title":"Site","type":"object","description":"Information about the site.","required":["code","name","defaultLanguage","languages","currency","homeBase","shipToCountries","taxDeterminationBasedOn"],"properties":{"code":{"type":"string","pattern":"^[^\\s#]+$","description":"Site unique identifier."},"name":{"type":"string","description":"Site name."},"active":{"type":"boolean","description":"Flag indicating whether the site is active."},"default":{"type":"boolean","description":"Flag indicating whether the site is the  tenant default site."},"includesTax":{"type":"boolean","description":"Indicates whether prices for the site should be returned in gross (when includesTax=true) or net (when includesTax=false). "},"defaultLanguage":{"type":"string","description":"Site's default language, compliant with the ISO 639-1 standard.","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"},"languages":{"type":"array","description":"Languages supported by the site.\n\n**Note**: The languages must be compliant with the ISO 639-1 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"}},"currency":{"$ref":"#/components/schemas/CurrencyDto"},"availableCurrencies":{"type":"array","description":"List of the currencies supported by the site","items":{"$ref":"#/components/schemas/CurrencyDto"}},"homeBase":{"$ref":"#/components/schemas/HomeBaseDto"},"shipToCountries":{"type":"array","description":"Codes of countries to which the site ships products.\n\n**Note**: The country codes must be compliant with the ISO 3166-1 alpha-2 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2}"}},"shipping":{"type":"array","description":"Shipping service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"payment":{"type":"array","description":"Payment service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"tax":{"type":"array","description":"`Preview feature - the feature is not fully operated yet.` \nTax service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"assistedBuying":{"$ref":"#/components/schemas/AssistedBuying"},"metadata":{"$ref":"#/components/schemas/DefaultDtoMetadata"},"taxDeterminationBasedOn":{"$ref":"#/components/schemas/taxDeterminationBasedOn"},"mixins":{"type":"object","description":"Site additional properties.","additionalProperties":true},"cartCalculationScale":{"type":"integer","description":"Number of decimal points used in the cart calculation. Must be zero or a positive value.","default":2,"minimum":0}}},"CurrencyDto":{"type":"string","description":"Currency used by the site, compliant with the ISO 4217 standard.","minLength":3,"maxLength":3,"pattern":"^[A-Z]{3}"},"HomeBaseDto":{"title":"HomeBase","type":"object","required":["address"],"properties":{"address":{"$ref":"#/components/schemas/AddressDto"},"location":{"$ref":"#/components/schemas/LocationDto"},"timezone":{"type":"string","description":"The timezone of the site home base location. Must be a valid IANA timezone identifier.\n\nIf not specified, no timezone will be set. When specified, the value must be a valid timezone ID as defined in the IANA Time Zone Database.\n\nExamples of valid timezones:\n- Europe/Paris\n- America/New_York \n- Asia/Tokyo\n- UTC\n\nInvalid timezone values (e.g., \"Europe/Xp\") will result in a 400 Bad Request response.\n"}},"description":"Site location."},"AddressDto":{"title":"Address","type":"object","required":["country","zipCode"],"properties":{"street":{"type":"string"},"streetNumber":{"type":"string"},"streetAppendix":{"type":"string"},"extraLine1":{"type":"string"},"extraLine2":{"type":"string"},"extraLine3":{"type":"string"},"extraLine4":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"state":{"type":"string"}},"description":"Site address."},"LocationDto":{"title":"Location","type":"object","properties":{"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"}},"description":"Site geographical location."},"ServiceConfigurationDto":{"title":"Service Configuration","type":"object","properties":{"id":{"type":"string","description":"Service configuration's unique identifier."},"name":{"type":"string","description":"Service configuration's name."},"serviceType":{"type":"string"},"serviceUrl":{"type":"string"},"active":{"type":"boolean","default":true,"description":"Flag indicating whether the service is active."},"configuration":{"$ref":"#/components/schemas/ServiceSettingsDto"}}},"ServiceSettingsDto":{"title":"Service Settings","type":"object","properties":{"public":{"type":"object"},"restricted":{"type":"object"}}},"AssistedBuying":{"title":"AssistedBuying","type":"object","properties":{"storefrontUrl":{"type":"string","description":"Storefront URL, where an employee should be redirected when the assisted buying mechanism is used."}}},"DefaultDtoMetadata":{"title":"Metadata","type":"object","properties":{"mixins":{"type":"object","description":"Mixin schema URLs.","additionalProperties":true},"version":{"type":"integer"}}},"taxDeterminationBasedOn":{"type":"string","enum":["BILLING_ADDRESS","SHIPPING_ADDRESS"],"description":"Specifies whether tax calculation is based on customer billing address or shipping address. Default value is `BILLING_ADDRESS`."},"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}}},"parameters":{"expand":{"name":"expand","in":"query","required":false,"schema":{"type":"string"},"description":"Used to expand the following site settings:\n* `payment`\n* `shipping`\n* `tax`\n* `mixin`\n\nEach of the settings (except `mixin`) can be set to one of the following values:\n* `all`\n* `active`\n* `none`\n\nFor retrieving `mixin`, use the following value: `*`\n"}}},"paths":{"/site/{tenant}/sites/{siteCode}":{"get":{"summary":"Retrieving a site","tags":["Site settings"],"responses":{"200":{"$ref":"#/components/responses/200_get_site"},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"},"404":{"$ref":"#/components/responses/404_siteNotFound"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"GET-site-settings-retrieve-site-config","description":"Retrieves a specified site configuration.\n  **Note:** The `site.site_manage` scope is only required if you want to retrieve an inactive site.","parameters":[{"$ref":"#/components/parameters/expand"}]}}}}
```

## Fully updating a site

> Fully updates a specified site configuration.\
> \
> You can also use this endpoint to update the configuration of the following services:\
> \* \`payment\`\
> \* \`shipping\`\
> \* \`tax\`\
> \
> \*\*Note\*\*: To update an inactive service configuration, you need to use the \`expand\` query parameter.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["site.site_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"responses":{"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404_siteNotFound":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"schemas":{"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}},"SiteDto":{"title":"Site","type":"object","description":"Information about the site.","required":["code","name","defaultLanguage","languages","currency","homeBase","shipToCountries","taxDeterminationBasedOn"],"properties":{"code":{"type":"string","pattern":"^[^\\s#]+$","description":"Site unique identifier."},"name":{"type":"string","description":"Site name."},"active":{"type":"boolean","description":"Flag indicating whether the site is active."},"default":{"type":"boolean","description":"Flag indicating whether the site is the  tenant default site."},"includesTax":{"type":"boolean","description":"Indicates whether prices for the site should be returned in gross (when includesTax=true) or net (when includesTax=false). "},"defaultLanguage":{"type":"string","description":"Site's default language, compliant with the ISO 639-1 standard.","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"},"languages":{"type":"array","description":"Languages supported by the site.\n\n**Note**: The languages must be compliant with the ISO 639-1 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"}},"currency":{"$ref":"#/components/schemas/CurrencyDto"},"availableCurrencies":{"type":"array","description":"List of the currencies supported by the site","items":{"$ref":"#/components/schemas/CurrencyDto"}},"homeBase":{"$ref":"#/components/schemas/HomeBaseDto"},"shipToCountries":{"type":"array","description":"Codes of countries to which the site ships products.\n\n**Note**: The country codes must be compliant with the ISO 3166-1 alpha-2 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2}"}},"shipping":{"type":"array","description":"Shipping service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"payment":{"type":"array","description":"Payment service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"tax":{"type":"array","description":"`Preview feature - the feature is not fully operated yet.` \nTax service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"assistedBuying":{"$ref":"#/components/schemas/AssistedBuying"},"metadata":{"$ref":"#/components/schemas/DefaultDtoMetadata"},"taxDeterminationBasedOn":{"$ref":"#/components/schemas/taxDeterminationBasedOn"},"mixins":{"type":"object","description":"Site additional properties.","additionalProperties":true},"cartCalculationScale":{"type":"integer","description":"Number of decimal points used in the cart calculation. Must be zero or a positive value.","default":2,"minimum":0}}},"CurrencyDto":{"type":"string","description":"Currency used by the site, compliant with the ISO 4217 standard.","minLength":3,"maxLength":3,"pattern":"^[A-Z]{3}"},"HomeBaseDto":{"title":"HomeBase","type":"object","required":["address"],"properties":{"address":{"$ref":"#/components/schemas/AddressDto"},"location":{"$ref":"#/components/schemas/LocationDto"},"timezone":{"type":"string","description":"The timezone of the site home base location. Must be a valid IANA timezone identifier.\n\nIf not specified, no timezone will be set. When specified, the value must be a valid timezone ID as defined in the IANA Time Zone Database.\n\nExamples of valid timezones:\n- Europe/Paris\n- America/New_York \n- Asia/Tokyo\n- UTC\n\nInvalid timezone values (e.g., \"Europe/Xp\") will result in a 400 Bad Request response.\n"}},"description":"Site location."},"AddressDto":{"title":"Address","type":"object","required":["country","zipCode"],"properties":{"street":{"type":"string"},"streetNumber":{"type":"string"},"streetAppendix":{"type":"string"},"extraLine1":{"type":"string"},"extraLine2":{"type":"string"},"extraLine3":{"type":"string"},"extraLine4":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"state":{"type":"string"}},"description":"Site address."},"LocationDto":{"title":"Location","type":"object","properties":{"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"}},"description":"Site geographical location."},"ServiceConfigurationDto":{"title":"Service Configuration","type":"object","properties":{"id":{"type":"string","description":"Service configuration's unique identifier."},"name":{"type":"string","description":"Service configuration's name."},"serviceType":{"type":"string"},"serviceUrl":{"type":"string"},"active":{"type":"boolean","default":true,"description":"Flag indicating whether the service is active."},"configuration":{"$ref":"#/components/schemas/ServiceSettingsDto"}}},"ServiceSettingsDto":{"title":"Service Settings","type":"object","properties":{"public":{"type":"object"},"restricted":{"type":"object"}}},"AssistedBuying":{"title":"AssistedBuying","type":"object","properties":{"storefrontUrl":{"type":"string","description":"Storefront URL, where an employee should be redirected when the assisted buying mechanism is used."}}},"DefaultDtoMetadata":{"title":"Metadata","type":"object","properties":{"mixins":{"type":"object","description":"Mixin schema URLs.","additionalProperties":true},"version":{"type":"integer"}}},"taxDeterminationBasedOn":{"type":"string","enum":["BILLING_ADDRESS","SHIPPING_ADDRESS"],"description":"Specifies whether tax calculation is based on customer billing address or shipping address. Default value is `BILLING_ADDRESS`."}},"parameters":{"expand":{"name":"expand","in":"query","required":false,"schema":{"type":"string"},"description":"Used to expand the following site settings:\n* `payment`\n* `shipping`\n* `tax`\n* `mixin`\n\nEach of the settings (except `mixin`) can be set to one of the following values:\n* `all`\n* `active`\n* `none`\n\nFor retrieving `mixin`, use the following value: `*`\n"}}},"paths":{"/site/{tenant}/sites/{siteCode}":{"put":{"summary":"Fully updating a site","operationId":"PUT-site-settings-update-site-config","responses":{"200":{"description":"The request was successful. The services configuration has been updated."},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"},"404":{"$ref":"#/components/responses/404_siteNotFound"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}},"description":"Fully updates a specified site configuration.\n\nYou can also use this endpoint to update the configuration of the following services:\n* `payment`\n* `shipping`\n* `tax`\n\n**Note**: To update an inactive service configuration, you need to use the `expand` query parameter.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteDto"}}},"description":""},"parameters":[{"$ref":"#/components/parameters/expand"}],"tags":["Site settings"]}}}}
```

## Deleting a site

> Deletes a specified site.\
> \
> \*\*Important\*\*: You cannot delete a site for which the \`default\` property is set to \`true\`.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["site.site_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"responses":{"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404_siteNotFound":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"schemas":{"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}}}},"paths":{"/site/{tenant}/sites/{siteCode}":{"delete":{"summary":"Deleting a site","operationId":"DELETE-site-settings-remove-site","responses":{"204":{"description":"The request was successful. The site has been deleted."},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"},"404":{"$ref":"#/components/responses/404_siteNotFound"},"500":{"description":"Internal Server Error"}},"description":"Deletes a specified site.\n\n**Important**: You cannot delete a site for which the `default` property is set to `true`.","tags":["Site settings"]}}}}
```

## Partially updating a site

> Partially updates a specified site configuration.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["site.site_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"responses":{"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404_siteNotFound":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"schemas":{"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}},"SiteDto":{"title":"Site","type":"object","description":"Information about the site.","required":["code","name","defaultLanguage","languages","currency","homeBase","shipToCountries","taxDeterminationBasedOn"],"properties":{"code":{"type":"string","pattern":"^[^\\s#]+$","description":"Site unique identifier."},"name":{"type":"string","description":"Site name."},"active":{"type":"boolean","description":"Flag indicating whether the site is active."},"default":{"type":"boolean","description":"Flag indicating whether the site is the  tenant default site."},"includesTax":{"type":"boolean","description":"Indicates whether prices for the site should be returned in gross (when includesTax=true) or net (when includesTax=false). "},"defaultLanguage":{"type":"string","description":"Site's default language, compliant with the ISO 639-1 standard.","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"},"languages":{"type":"array","description":"Languages supported by the site.\n\n**Note**: The languages must be compliant with the ISO 639-1 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[a-z]{2}"}},"currency":{"$ref":"#/components/schemas/CurrencyDto"},"availableCurrencies":{"type":"array","description":"List of the currencies supported by the site","items":{"$ref":"#/components/schemas/CurrencyDto"}},"homeBase":{"$ref":"#/components/schemas/HomeBaseDto"},"shipToCountries":{"type":"array","description":"Codes of countries to which the site ships products.\n\n**Note**: The country codes must be compliant with the ISO 3166-1 alpha-2 standard.","items":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2}"}},"shipping":{"type":"array","description":"Shipping service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"payment":{"type":"array","description":"Payment service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"tax":{"type":"array","description":"`Preview feature - the feature is not fully operated yet.` \nTax service configurations.","items":{"$ref":"#/components/schemas/ServiceConfigurationDto"}},"assistedBuying":{"$ref":"#/components/schemas/AssistedBuying"},"metadata":{"$ref":"#/components/schemas/DefaultDtoMetadata"},"taxDeterminationBasedOn":{"$ref":"#/components/schemas/taxDeterminationBasedOn"},"mixins":{"type":"object","description":"Site additional properties.","additionalProperties":true},"cartCalculationScale":{"type":"integer","description":"Number of decimal points used in the cart calculation. Must be zero or a positive value.","default":2,"minimum":0}}},"CurrencyDto":{"type":"string","description":"Currency used by the site, compliant with the ISO 4217 standard.","minLength":3,"maxLength":3,"pattern":"^[A-Z]{3}"},"HomeBaseDto":{"title":"HomeBase","type":"object","required":["address"],"properties":{"address":{"$ref":"#/components/schemas/AddressDto"},"location":{"$ref":"#/components/schemas/LocationDto"},"timezone":{"type":"string","description":"The timezone of the site home base location. Must be a valid IANA timezone identifier.\n\nIf not specified, no timezone will be set. When specified, the value must be a valid timezone ID as defined in the IANA Time Zone Database.\n\nExamples of valid timezones:\n- Europe/Paris\n- America/New_York \n- Asia/Tokyo\n- UTC\n\nInvalid timezone values (e.g., \"Europe/Xp\") will result in a 400 Bad Request response.\n"}},"description":"Site location."},"AddressDto":{"title":"Address","type":"object","required":["country","zipCode"],"properties":{"street":{"type":"string"},"streetNumber":{"type":"string"},"streetAppendix":{"type":"string"},"extraLine1":{"type":"string"},"extraLine2":{"type":"string"},"extraLine3":{"type":"string"},"extraLine4":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"state":{"type":"string"}},"description":"Site address."},"LocationDto":{"title":"Location","type":"object","properties":{"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"}},"description":"Site geographical location."},"ServiceConfigurationDto":{"title":"Service Configuration","type":"object","properties":{"id":{"type":"string","description":"Service configuration's unique identifier."},"name":{"type":"string","description":"Service configuration's name."},"serviceType":{"type":"string"},"serviceUrl":{"type":"string"},"active":{"type":"boolean","default":true,"description":"Flag indicating whether the service is active."},"configuration":{"$ref":"#/components/schemas/ServiceSettingsDto"}}},"ServiceSettingsDto":{"title":"Service Settings","type":"object","properties":{"public":{"type":"object"},"restricted":{"type":"object"}}},"AssistedBuying":{"title":"AssistedBuying","type":"object","properties":{"storefrontUrl":{"type":"string","description":"Storefront URL, where an employee should be redirected when the assisted buying mechanism is used."}}},"DefaultDtoMetadata":{"title":"Metadata","type":"object","properties":{"mixins":{"type":"object","description":"Mixin schema URLs.","additionalProperties":true},"version":{"type":"integer"}}},"taxDeterminationBasedOn":{"type":"string","enum":["BILLING_ADDRESS","SHIPPING_ADDRESS"],"description":"Specifies whether tax calculation is based on customer billing address or shipping address. Default value is `BILLING_ADDRESS`."}}},"paths":{"/site/{tenant}/sites/{siteCode}":{"patch":{"summary":"Partially updating a site","operationId":"PATCH-site-settings-update-site","responses":{"200":{"description":"The request was successful. The site has been updated."},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"},"404":{"$ref":"#/components/responses/404_siteNotFound"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}},"description":"Partially updates a specified site configuration.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteDto"}}}},"tags":["Site settings"]}}}}
```

## Retrieving site codes

> Retrieves a list of site codes.\
> \*\*\*\
> \
> \### Additional scopes info\
> \* The \`site.site\_manage\` scope is only required if you want to retrieve inactive sites.

```json
{"openapi":"3.0.0","info":{"title":"Site Settings Service","version":"0.0.1"},"tags":[{"name":"Site settings"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["site.site_read","site.site_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"site.site_read":"Needed to retrieve information about sites.","site.site_manage":"Needed to manage sites."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"responses":{"400_invalid_tenant":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401_invalidToken":{"description":"","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string","minLength":1},"detail":{"type":"object","properties":{"errorcode":{"type":"string","minLength":1}}}}}}}}}},"403_insufficient_permissions":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"schemas":{"ErrorMessage":{"type":"object","properties":{"type":{"type":"string","description":"Classification of the error type.\n\n**Note**: The error type should be written in lowercase and include underscores, for example validation_failure."},"status":{"type":"number","minimum":100,"maximum":599,"description":"Original HTTP error code. It should be consistent with the HTTP response code."},"message":{"type":"string","description":"Descriptive error message for debugging purposes."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"}}}}}}},"parameters":{"includeInactiveSites":{"name":"includeInactive","in":"query","required":false,"schema":{"type":"boolean","default":false},"description":"| Option  | Description |\n|---|---|\n| `true` | Retrieves both the active and inactive sites. |\n| `false` | Retrieves only the active sites. |\n"},"pageNumber":{"name":"pageNumber","in":"query","description":"Page number to be retrieved. The number of the first page is 1.\n\n**Note:** If the `pageNumber` parameter is passed, size of the pages must be specified in the `pageSize` parameter.\n","schema":{"default":1,"minimum":1,"type":"integer"}},"pageSize":{"name":"pageSize","in":"query","description":"Number of products to be retrieved per page.\n","schema":{"default":16,"minimum":1,"type":"integer"}},"sort":{"name":"sort","in":"query","description":"List of properties used to sort the results, separated by colons.\n\nPossible values:\n* `{fieldName}`\n* `{fieldName}:asc`\n* `{fieldName}:desc`\n\n**Note:** If you want to sort the results by localized properties, the possible values are:\n  * `{fieldName}.{language}`\n  * `{fieldName}.{language}:asc`\n  * `{fieldName}.{language}:desc`\n\nBy default, the fields are sorted in ascending order.\n","schema":{"type":"string"}},"q_parameter":{"name":"q","in":"query","required":false,"schema":{"type":"string"},"description":"A standard query parameter used to search for specific values."},"totalCount":{"name":"totalCount","in":"query","required":false,"schema":{"type":"boolean","default":false},"description":"If set to `true`, a total number of sites is returned in a response header."},"expandWithMixins":{"name":"expand","description":"Used to expand specific site settings.\n| Setting | Possible values |\n| --- | --- |\n| `payment` <br> `shipping` <br> `tax` | `all` <br> `active` <br> `none` |\n| `mixins` | `{mixinName}` <br> `*` |\n","in":"query","required":false,"schema":{"type":"string"}}}},"paths":{"/site/{tenant}/siteslist":{"get":{"summary":"Retrieving site codes","tags":["Site settings"],"responses":{"200":{"description":"OK","headers":{"X-Count":{"schema":{"type":"string"},"description":"Total number of sites that fulfill the criteria."}},"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"$ref":"#/components/responses/400_invalid_tenant"},"401":{"$ref":"#/components/responses/401_invalidToken"},"403":{"$ref":"#/components/responses/403_insufficient_permissions"}},"operationId":"GET-site-settings-list-site-codes","parameters":[{"$ref":"#/components/parameters/includeInactiveSites"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/pageSize"},{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/q_parameter"},{"$ref":"#/components/parameters/totalCount"},{"$ref":"#/components/parameters/expandWithMixins"}],"description":"Retrieves a list of site codes.\n***\n\n### Additional scopes info\n* The `site.site_manage` scope is only required if you want to retrieve inactive sites."}}}}
```
